## tiledb-r 0.12.0

=== DESCRIPTION ===
Package: tiledb
Type: Package
Version: 0.12.0
Title: Universal Storage Engine for Sparse and Dense Multidimensional
        Arrays
Authors@R: c(person("TileDB, Inc.", role = c("aut", "cph")),
 person("Dirk", "Eddelbuettel", email = "dirk@tiledb.com", role = "cre"))
Description: The universal storage engine 'TileDB' introduces a
 powerful on-disk format for multi-dimensional arrays. It supports
 dense and sparse arrays, dataframes and key-values stores, cloud
 storage ('S3', 'GCS', 'Azure'), chunked arrays, multiple compression,
 encryption and checksum filters, uses a fully multi-threaded
 implementation, supports parallel I/O, data versioning ('time
 travel'), metadata and groups. It is implemented as an embeddable
 cross-platform C++ library with APIs from several languages, and
 integrations.
Copyright: TileDB, Inc.
License: MIT + file LICENSE
URL: https://github.com/TileDB-Inc/TileDB-R
BugReports: https://github.com/TileDB-Inc/TileDB-R/issues
SystemRequirements: A C++17 compiler is required, and on macOS
        compilation for version 11.14 is required. Optionally cmake
        (only when TileDB source build selected), git (only when TileDB
        source build selected); on x86_64 and M1 platforms pre-built
        TileDB Embedded libraries are available at GitHub and are used
        if no TileDB installation is detected, and no other option to
        build or download was specified by the user.
Imports: methods, Rcpp (>= 1.0.8), nanotime
LinkingTo: Rcpp
Suggests: tinytest, simplermarkdown, curl, bit64, Matrix,
        palmerpenguins, nycflights13, data.table, tibble
VignetteBuilder: simplermarkdown
RoxygenNote: 7.1.2
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2022-04-13 20:19:29 UTC; edd
Author: TileDB, Inc. [aut, cph],
  Dirk Eddelbuettel [cre]
Maintainer: Dirk Eddelbuettel <dirk@tiledb.com>
Repository: CRAN
Date/Publication: 2022-04-13 21:30:02 UTC

=== debian/changelog ===
tiledb-r (0.12.0-2) unstable; urgency=medium

  * debian/patches/: Relax constraints for '>= 2.8.0 && < 2.9.0' which was
    needed briefly upstream and is now a blocker (Closes: #1011012)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 15 May 2022 08:18:54 -0500

tiledb-r (0.12.0-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 14 Apr 2022 06:51:51 -0500

tiledb-r (0.11.1-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 25 Mar 2022 17:23:21 -0500

tiledb-r (0.11.0.17-1) unstable; urgency=medium

  * New upstream (micro) release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 23 Mar 2022 08:51:37 -0500

tiledb-r (0.11.0.16-1) unstable; urgency=low

  * Initial Debian release 			(Closes: #1006652)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 19 Mar 2022 10:12:25 -0500

=== debian/control ===
Source: tiledb-r
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.3), dh-r, libtiledb-dev, r-cran-rcpp, r-cran-nanotime
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/edd/r-cran-tiledb
Vcs-Git: https://salsa.debian.org/edd/r-cran-tiledb.git
Homepage: https://cran.r-project.org/package=tiledb

Package: r-cran-tiledb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-rcpp, r-cran-nanotime
Suggests: r-cran-tinytest, r-cran-simplermarkdown, r-cran-curl, r-cran-bit64, r-cran-matrix, r-cran-palmerpenuins, r-cran-data.table, r-cran-tibble
Description: GNU R package for the TileDB Universal Storage Engine
 The universal storage engine 'TileDB' introduces a powerful on-disk
 format for multi-dimensional arrays. It supports dense and sparse
 arrays, dataframes and key-values stores, cloud storage ('S3', 'GCS',
 'Azure'), chunked arrays, multiple compression, encryption and
 checksum filters, uses a fully multi-threaded implementation,
 supports parallel I/O, data versioning ('time travel'), metadata and
 groups. It is implemented as an embeddable cross-platform C++ library
 with APIs from several languages, and integrations.

## tiledb-r 0.13.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: tiledb
 Type: Package
-Version: 0.12.0
+Version: 0.13.0
 Title: Universal Storage Engine for Sparse and Dense Multidimensional
         Arrays
 Authors@R: c(person("TileDB, Inc.", role = c("aut", "cph")),
@@ -33,9 +33,9 @@
 RoxygenNote: 7.1.2
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2022-04-13 20:19:29 UTC; edd
+Packaged: 2022-05-16 19:57:44 UTC; edd
 Author: TileDB, Inc. [aut, cph],
   Dirk Eddelbuettel [cre]
 Maintainer: Dirk Eddelbuettel <dirk@tiledb.com>
 Repository: CRAN
-Date/Publication: 2022-04-13 21:30:02 UTC
+Date/Publication: 2022-05-16 20:30:02 UTC

## tiledb-r 0.15.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: tiledb
 Type: Package
-Version: 0.13.0
+Version: 0.15.0
 Title: Universal Storage Engine for Sparse and Dense Multidimensional
         Arrays
 Authors@R: c(person("TileDB, Inc.", role = c("aut", "cph")),
@@ -30,12 +30,12 @@
 Suggests: tinytest, simplermarkdown, curl, bit64, Matrix,
         palmerpenguins, nycflights13, data.table, tibble
 VignetteBuilder: simplermarkdown
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.1
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2022-05-16 19:57:44 UTC; edd
+Packaged: 2022-08-09 15:10:13 UTC; edd
 Author: TileDB, Inc. [aut, cph],
   Dirk Eddelbuettel [cre]
 Maintainer: Dirk Eddelbuettel <dirk@tiledb.com>
 Repository: CRAN
-Date/Publication: 2022-05-16 20:30:02 UTC
+Date/Publication: 2022-08-09 16:30:02 UTC

=== debian/changelog ===
tiledb-r (0.15.0-2) unstable; urgency=medium

  * configure.ac: For riscv64, add -latomic (with thanks to Bo Yu for the
    heads-up and for testing the patch)			(Closes: #1017684)
  * configure: Idem
  * debian/patches/linker_adjustment_on_riskv64: Patch source 
    
 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 22 Aug 2022 07:09:54 -0500

tiledb-r (0.15.0-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 13 Aug 2022 16:42:06 -0500

tiledb-r (0.14.1-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 12 Jul 2022 11:10:34 -0500

tiledb-r (0.14.0-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 24 Jun 2022 13:00:49 -0500

tiledb-r (0.13.0-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

  * debian/patches/: Removed as addressed upstream

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 17 May 2022 10:09:45 -0500

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.1.3), dh-r, libtiledb-dev, r-cran-rcpp, r-cran-nanotime
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.1), dh-r, libtiledb-dev, r-cran-rcpp, r-cran-nanotime
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-tiledb
 Vcs-Git: https://salsa.debian.org/edd/r-cran-tiledb.git
 Homepage: https://cran.r-project.org/package=tiledb

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-cran-tiledb package
# Copyright 2003 - 2022 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

override_dh_auto_install:
	dh_auto_install
        # remove html docs because of external linkage, to be revisited
	rm -f $(CURDIR)/debian/r-cran-tiledb/usr/lib/R/site-library/tiledb/doc/*html
	rm -f $(CURDIR)/debian/r-cran-tiledb/usr/lib/R/site-library/tiledb/notebooks/*html
        # lintian nags as it sees shebangs but no execution bit
	(cd $(CURDIR)/debian/r-cran-tiledb/usr/lib/R/site-library/tiledb/examples; \
		chmod 0755 filters.R \
			quickstart_sparse_heter.R \
			quickstart_sparse_string.R \
			writing_dense_sparse.R )

=== debian/watch ===
version=3
https://cloud.r-project.org/src/contrib/tiledb_([-\d\.]*)\.tar.gz

## tiledb-r 0.16.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: tiledb
 Type: Package
-Version: 0.15.0
+Version: 0.16.0
 Title: Universal Storage Engine for Sparse and Dense Multidimensional
         Arrays
 Authors@R: c(person("TileDB, Inc.", role = c("aut", "cph")),
@@ -33,9 +33,9 @@
 RoxygenNote: 7.2.1
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2022-08-09 15:10:13 UTC; edd
+Packaged: 2022-10-21 13:15:33 UTC; edd
 Author: TileDB, Inc. [aut, cph],
   Dirk Eddelbuettel [cre]
 Maintainer: Dirk Eddelbuettel <dirk@tiledb.com>
 Repository: CRAN
-Date/Publication: 2022-08-09 16:30:02 UTC
+Date/Publication: 2022-10-21 14:40:02 UTC

=== debian/changelog ===
tiledb-r (0.16.0-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 21 Oct 2022 14:17:11 -0500

## tiledb-r 0.17.0

=== debian/changelog ===
tiledb-r (0.17.0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Switch to virtual debhelper-compat (= 12)
  * debian/control: Add (Build-)Depends: on r-cran-spdl

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 02 Dec 2022 08:17:43 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 11), r-base-dev (>= 4.2.1), dh-r, libtiledb-dev, r-cran-rcpp, r-cran-nanotime
+Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r, libtiledb-dev, r-cran-rcpp, r-cran-nanotime, r-cran-spdl
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-tiledb
 Vcs-Git: https://salsa.debian.org/edd/r-cran-tiledb.git
@@ -10,7 +10,7 @@
 
 Package: r-cran-tiledb
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-rcpp, r-cran-nanotime
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, r-cran-rcpp, r-cran-nanotime, r-cran-spdl
 Suggests: r-cran-tinytest, r-cran-simplermarkdown, r-cran-curl, r-cran-bit64, r-cran-matrix, r-cran-palmerpenuins, r-cran-data.table, r-cran-tibble
 Description: GNU R package for the TileDB Universal Storage Engine
  The universal storage engine 'TileDB' introduces a powerful on-disk

## tiledb-r 0.17.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: tiledb
 Type: Package
-Version: 0.16.0
+Version: 0.17.1
 Title: Universal Storage Engine for Sparse and Dense Multidimensional
         Arrays
 Authors@R: c(person("TileDB, Inc.", role = c("aut", "cph")),
@@ -25,17 +25,17 @@
         TileDB Embedded libraries are available at GitHub and are used
         if no TileDB installation is detected, and no other option to
         build or download was specified by the user.
-Imports: methods, Rcpp (>= 1.0.8), nanotime
-LinkingTo: Rcpp
+Imports: methods, Rcpp (>= 1.0.8), nanotime, spdl
+LinkingTo: Rcpp, RcppSpdlog
 Suggests: tinytest, simplermarkdown, curl, bit64, Matrix,
         palmerpenguins, nycflights13, data.table, tibble
 VignetteBuilder: simplermarkdown
-RoxygenNote: 7.2.1
+RoxygenNote: 7.2.3
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2022-10-21 13:15:33 UTC; edd
+Packaged: 2023-01-06 20:26:18 UTC; edd
 Author: TileDB, Inc. [aut, cph],
   Dirk Eddelbuettel [cre]
 Maintainer: Dirk Eddelbuettel <dirk@tiledb.com>
 Repository: CRAN
-Date/Publication: 2022-10-21 14:40:02 UTC
+Date/Publication: 2023-01-06 23:30:02 UTC

=== debian/changelog ===
tiledb-r (0.17.1-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 07 Jan 2023 09:08:24 -0600

## tiledb-r 0.18.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: tiledb
 Type: Package
-Version: 0.17.1
+Version: 0.18.0
 Title: Universal Storage Engine for Sparse and Dense Multidimensional
         Arrays
 Authors@R: c(person("TileDB, Inc.", role = c("aut", "cph")),
@@ -26,16 +26,16 @@
         if no TileDB installation is detected, and no other option to
         build or download was specified by the user.
 Imports: methods, Rcpp (>= 1.0.8), nanotime, spdl
-LinkingTo: Rcpp, RcppSpdlog
+LinkingTo: Rcpp
 Suggests: tinytest, simplermarkdown, curl, bit64, Matrix,
         palmerpenguins, nycflights13, data.table, tibble
 VignetteBuilder: simplermarkdown
 RoxygenNote: 7.2.3
 Encoding: UTF-8
 NeedsCompilation: yes
-Packaged: 2023-01-06 20:26:18 UTC; edd
+Packaged: 2023-01-19 15:38:49 UTC; edd
 Author: TileDB, Inc. [aut, cph],
   Dirk Eddelbuettel [cre]
 Maintainer: Dirk Eddelbuettel <dirk@tiledb.com>
 Repository: CRAN
-Date/Publication: 2023-01-06 23:30:02 UTC
+Date/Publication: 2023-01-19 16:00:02 UTC

=== debian/changelog ===
tiledb-r (0.18.0-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 19 Jan 2023 15:08:52 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Build-Depends: debhelper-compat (= 12), r-base-dev (>= 4.2.2), dh-r, libtiledb-dev, r-cran-rcpp, r-cran-nanotime, r-cran-spdl
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-tiledb
 Vcs-Git: https://salsa.debian.org/edd/r-cran-tiledb.git
 Homepage: https://cran.r-project.org/package=tiledb
